3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php define("YEARGROUP", 10); if (YEARGROUP === 11) { define("YEARGROUPFILTERSQL", " and (s.current_ncyear = 11 or s.current_ncyear = (11))" ); } else { define("YEARGROUPFILTERSQL", ' and s.current_ncyear = ' . YEARGROUP); } echo YEARGROUPFILTERSQL; ?>
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
and s.current_ncyear = 10